<html>
<head>
    <title>Bypass Censorship</title>
    <link rel="stylesheet" href="/portal/static/print.css">
</head>
<body>
<div id="content">
<p class="noprint">For best results, print in landscape.</p>
<h1>Bypass Censorship</h1>
<h2>Last 24 hours</h2>
<table class="table table-striped">
    <tr>
        <th>Origin</th>
        <th>Blocked</th>
        <th>Detection Source</th>
        <th>Lifetime</th>
    </tr>
    {% for block in blocked_today %}
    <tr>
        <td>{{ block.domain_name }}</td>
        <td>{{ block.deprecated }}</td>
        <td>{{ block.deprecation_reason }}</td>
        <td>{{ block.deprecated - block.added }}</td>
    </tr>
    {% endfor %}
</table>
<div class="pagebreak"></div>

<h1>Bypass Censorship</h1>
<h2>Geography Censorship Report</h2>
<table>
    <tr>
        <th>Country</th>
        <th>Risk Level</th>
        <th>24h</th>
        <th>72h</th>
    </tr>
    {% for country in countries %}
        <tr style="font-weight: bold;">
            <td>{{ country[0].country_code | country_flag }} {{ country[0].description }}</td>
            <td
                    style="background-color:
                        {% if country[0].risk_level > 7 %}
                            red
                        {% elif country[0].risk_level > 5 %}
                            yellow
                        {% elif country[0].risk_level > 0 %}
                            green
                        {% else %}
                            lightgray
            {% endif %};"
                >{{ country[0].risk_level }}</td>
        <td>{{ country[1] }}</td>
        <td>{{ country[2] }}</td>
            </tr>
    {% endfor %}
</table>
<div class="pagebreak"></div>

<h1>Bypass Censorship</h1>
<h2>Origin Censorship Report</h2>
<table>
    <tr>
        <th>Origin</th>
        <th>Description</th>
        <th>24h</th>
        <th>72h</th>
    </tr>
    {% for origin in origins %}
        <tr style="font-weight: bold;">
            <td>{{ origin[0].domain_name }}</td>
            <td>{{ origin[0].description | truncate(25) }}</td>
            <td>{{ origin[1] }}</td>
            <td>{{ origin[2] }}</td>
        </tr>
        {% for country in origin[0].risk_level %}
            <tr>
                <td></td>
                <td>{{ country | country_flag }} <span style="font-style: italic;">{{ country | country_name }}</span></td>
                <td colspan="2"
                    style="background-color:
                        {% if origin[0].risk_level[country] > 15 %}
                            red
                        {% elif origin[0].risk_level[country] > 5 %}
                            yellow
                        {% elif origin[0].risk_level[country] > 0 %}
                            green
                        {% else %}
                            lightgray
            {% endif %};"
                >{{ origin[0].risk_level[country] }}</td>
            </tr>
        {% endfor %}
    {% endfor %}
</table>

</div>
</body>
</html>
